Description

The configuration setting for the MVC JsonView allows exposing an object's persistence identifier.
Currently, that configuration value is only regarded when TRUE and resulting in a fixed '__identity' key.
It could be improved with allowing either TRUE or a specific value which will become the respective key.

so,

  blog:
    _exposeObjectIdentifier: TRUE

will result in {"__identity":"e4f40dfc-8c6e-4414-a5b1-6fd3c5cf7a53"} (matching the current behaviour), while
  blog:
    _exposeObjectIdentifier: 'guid'

will result in {"guid":"e4f40dfc-8c6e-4414-a5b1-6fd3c5cf7a53"}

Associated revisions
Revision 29ffc635 - 2012-05-29 09:06 - Adrian Föder

[FEATURE] Allow configurable identity key in JsonView

Providing _exposeObjectIdentifier option is
not restricted to result in __identity anymore,
but is configurable to be an arbitrary string.

Change-Id: Ie8a9df80af708117bcee9d4208a624c4298f4981
Resolves: #34414
Releases: 1.2

History
#1 - 2012-02-29 13:43 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9297
#2 - 2012-03-01 14:35 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9297

#3 - 2012-04-19 11:19 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9297

#4 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#5 - 2012-05-29 09:06 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9297

#6 - 2012-05-29 09:07 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- Target version changed from 1.1 RC1 to 2.0 beta 1
- % Done changed from 0 to 100
